#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	IETF Opus Interactive Audio Codec
Summary(pl.UTF-8):	Opus - interaktywny kodek dźwięku wg projektu IETF
Name:		opus
Version:	1.5.2
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://downloads.xiph.org/releases/opus/%{name}-%{version}.tar.gz
# Source0-md5:	c40b3a1fbdbb9a7aa178600b88200c76
URL:		https://opus-codec.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1.6
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Opus codec is designed for interactive speech and audio
transmission over the Internet. It is designed by the IETF Codec
Working Group and incorporates technology from Skype's SILK codec and
Xiph.Org's CELT codec.

%description -l pl.UTF-8
Kodek Opus został zaprojektowany do interaktywnej transmisji mowy i
dźwięku przez Internet. Zaprojektowała go IETC Codec Working Group,
łącząc technologię z kodeka SILK Skype'a i kodeka CELT Xiph.Org.

%package devel
Summary:	Header files for OPUS libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek OPUS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for OPUS libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek OPUS.

%package static
Summary:	Static OPUS libraries
Summary(pl.UTF-8):	Statyczne biblioteki OPUS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OPUS libraries.

%description static -l pl.UTF-8
Statyczne biblioteki OPUS.

%package apidocs
Summary:	API documentation for OPUS library
Summary(pl.UTF-8):	Dokumentacja API biblioteki OPUS
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for OPUS library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki OPUS.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-custom-modes \
	--disable-silent-rules \
	%{__enable_disable static_libs static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/opus/html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_libdir}/libopus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopus.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopus.so
%{_libdir}/libopus.la
%{_includedir}/opus
%{_pkgconfigdir}/opus.pc
%{_aclocaldir}/opus.m4
%{_mandir}/man3/opus_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libopus.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/{search,*.css,*.html,*.js,*.png}
%changelog
* Sun Apr 14 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opus.git;a=log;h=master

* Sat Apr 13 2024 Jan Palus <atler@pld-linux.org> bfc921e
- up to 1.5.2

* Mon Mar 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 9c24d50
- updated to 1.5.1

* Mon Mar 04 2024 Jan Palus <atler@pld-linux.org> 51e939c
- add static_libs bcond

* Mon Mar 04 2024 Jan Palus <atler@pld-linux.org> 8f74afc
- up to 1.5

* Thu May 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 0fb9b97
- separated -apidocs

* Thu May 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 2d76b89
- updated URL

* Mon May 01 2023 Jan Palus <atler@pld-linux.org> 89bec3a
- up to 1.4

* Wed Jun 16 2021 Jan Palus <atler@pld-linux.org> 98b044c
- BR: doxygen

* Fri Apr 19 2019 Jan Palus <atler@pld-linux.org> 53d8c23
- up to 1.3.1

* Sun Oct 21 2018 Jan Palus <atler@pld-linux.org> b69c9fb
- up to 1.3

* Thu Jul 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 570f467
- use Source0 URL pointed at opus-codec.org; updated to 1.2.1

* Mon Jan 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 018cd2d
- updated to 1.1.4

* Sat Jul 16 2016 Jakub Bogusz <qboosh@pld-linux.org> c846dab
- updated to 1.1.3

* Thu Jan 14 2016 Jakub Bogusz <qboosh@pld-linux.org> bbce12b
- updated to 1.1.2

* Thu Nov 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 12fe09a
- updated to 1.1.1
- removed obsolete sh patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> bc9951a
- x32 rebuild
- release 2 (by relup.sh)

* Fri Dec 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 83841a1
- updated to 1.1
- added sh patch (fixes build with sh not being bash)

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> b776a8b
- enable custom modes interface, release 2

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> c4ceab3
- updated to 1.0.3

* Sat Dec 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 0db21e7
- updated to 1.0.2

